Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.psvi
Interface XSConstants

Deprecated. The interface may be updated or replaced.

public interface XSConstants

This interface defines constants used by this specification.

Field Summary
`static short` | `ANNOTATION` Deprecated. The object describes an annotation.
`static short` | `ATTRIBUTE_DECLARATION` Deprecated. The object describes an attribute declaration.
`static short` | `ATTRIBUTE_GROUP` Deprecated. The object describes an attribute group definition.
`static short` | `ATTRIBUTE_USE` Deprecated. The object describes an attribute use definition.
`static short` | `DERIVATION_EXTENSION` Deprecated. `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.
`static short` | `DERIVATION_LIST` Deprecated. `XSTypeDefinition` final set.
`static short` | `DERIVATION_NONE` Deprecated. No constraint is available.
`static short` | `DERIVATION_RESTRICTION` Deprecated. `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.
`static short` | `DERIVATION_SUBSTITUTION` Deprecated. `XSTypeDefinition` final set.
`static short` | `DERIVATION_UNION` Deprecated. `XSTypeDefinition` final set.
`static short` | `ELEMENT_DECLARATION` Deprecated. The object describes an element declaration.
`static short` | `IDENTITY_CONSTRAINT` Deprecated. The object describes an identity constraint definition.
`static short` | `MODEL_GROUP` Deprecated. A model group.
`static short` | `MODEL_GROUP_DEFINITION` Deprecated. The object describes a model group definition.
`static short` | `NOTATION_DECLARATION` Deprecated. The object describes a notation declaration.
`static short` | `PARTICLE` Deprecated. The object describes a particle.
`static short` | `SCOPE_ABSENT` Deprecated. The scope of a declaration within named model groups or attribute groups is `absent`.
`static short` | `SCOPE_GLOBAL` Deprecated. A scope of `global` identifies top-level declarations.
`static short` | `SCOPE_LOCAL` Deprecated. `Locally scoped` declarations are available for use only within the complex type.
`static short` | `TYPE_DEFINITION` Deprecated. The object describes a complex type or simple type definition.
`static short` | `VC_DEFAULT` Deprecated. Indicates that there is a default value constraint.
`static short` | `VC_FIXED` Deprecated. Indicates that there is a fixed value constraint for this attribute.
`static short` | `VC_NONE` Deprecated. Indicates that the component does not have any value constraint.
`static short` | `WILDCARD` Deprecated. The object describes a wildcard.

Field Detail

### ATTRIBUTE_DECLARATION

    public static final short ATTRIBUTE_DECLARATION

  Deprecated.
  The object describes an attribute declaration.

### ELEMENT_DECLARATION

    public static final short ELEMENT_DECLARATION

  Deprecated.
  The object describes an element declaration.

### TYPE_DEFINITION

    public static final short TYPE_DEFINITION

  Deprecated.
  The object describes a complex type or simple type definition.

### ATTRIBUTE_USE

    public static final short ATTRIBUTE_USE

  Deprecated.
  The object describes an attribute use definition.

### ATTRIBUTE_GROUP

    public static final short ATTRIBUTE_GROUP

  Deprecated.
  The object describes an attribute group definition.

### MODEL_GROUP_DEFINITION

    public static final short MODEL_GROUP_DEFINITION

  Deprecated.
  The object describes a model group definition.

### MODEL_GROUP

    public static final short MODEL_GROUP

  Deprecated.
  A model group.

### PARTICLE

    public static final short PARTICLE

  Deprecated.
  The object describes a particle.

### WILDCARD

    public static final short WILDCARD

  Deprecated.
  The object describes a wildcard.

### IDENTITY_CONSTRAINT

    public static final short IDENTITY_CONSTRAINT

  Deprecated.
  The object describes an identity constraint definition.

### NOTATION_DECLARATION

    public static final short NOTATION_DECLARATION

  Deprecated.
  The object describes a notation declaration.

### ANNOTATION

    public static final short ANNOTATION

  Deprecated.
  The object describes an annotation.

### DERIVATION_NONE

    public static final short DERIVATION_NONE

  Deprecated.
  No constraint is available.

### DERIVATION_EXTENSION

    public static final short DERIVATION_EXTENSION

  Deprecated.
  `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.

### DERIVATION_RESTRICTION

    public static final short DERIVATION_RESTRICTION

  Deprecated.
  `XSTypeDefinition` final set or `XSElementDeclaration` disallowed substitution group.

### DERIVATION_SUBSTITUTION

    public static final short DERIVATION_SUBSTITUTION

  Deprecated.
  `XSTypeDefinition` final set.

### DERIVATION_UNION

    public static final short DERIVATION_UNION

  Deprecated.
  `XSTypeDefinition` final set.

### DERIVATION_LIST

    public static final short DERIVATION_LIST

  Deprecated.
  `XSTypeDefinition` final set.

### SCOPE_ABSENT

    public static final short SCOPE_ABSENT

  Deprecated.
  The scope of a declaration within named model groups or attribute groups is `absent`. The scope of such declaration is determined when it is used in the construction of complex type definitions.

### SCOPE_GLOBAL

    public static final short SCOPE_GLOBAL

  Deprecated.
  A scope of `global` identifies top-level declarations.

### SCOPE_LOCAL

    public static final short SCOPE_LOCAL

  Deprecated.
  `Locally scoped` declarations are available for use only within the complex type.

### VC_NONE

    public static final short VC_NONE

  Deprecated.
  Indicates that the component does not have any value constraint.

### VC_DEFAULT

    public static final short VC_DEFAULT

  Deprecated.
  Indicates that there is a default value constraint.

### VC_FIXED

    public static final short VC_FIXED

  Deprecated.
  Indicates that there is a fixed value constraint for this attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.